Subject: Re: bug#16182: Acknowledgement (24.3.50; ruby-mode: Indentation style of multiline literals with hanging open paren inside other parens)

From: Bozhidar Batsov <[email-masked]>
Date: Wed, 18 Dec 2013 12:31:51 +0200

Personally I dislike this style, because you’re basically it obscures the semantics of the method arguments, but I acknowledge that I’ve seen it the wild. For me it would be more beneficial if we supported a variant of the style:

methods.each do |method| route_set.add_route( self, { path_info: route.route_compiled, request_method: method, }, route_info: route ) end
The current trunk indents this all wrong:
methods.each do |method| route_set.add_route( self, { path_info: route.route_compiled, request_method: method, }, route_info: route ) end  

Something that’s not mentioned here, but it’s a bigger problem for the users is probably the fact that we don’t support the following indentation style:

x = if something
  do_something
end

Even if I don’t use and (and the majority of Ruby hackers AFAIK) it’s still fairly popular. Currently this is the only supported option (which is arguably the most popular):

x = if something
      do_something
    end

--  
Cheers,
Bozhidar

On Wednesday, December 18, 2013 at 6:05 AM, Dmitry Gutov wrote:

> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16182
>  
> Comments welcome.